zenilib: SDL_PixelFormat Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
SDL_PixelFormat Struct Reference

`#include <SDL_pixels.h>`

## Public Attributes

Uint8 | Aloss
Uint32 | Amask
Uint8 | Ashift
Uint8 | BitsPerPixel
Uint8 | Bloss
Uint32 | Bmask
Uint8 | Bshift
Uint8 | BytesPerPixel
Uint32 | format
Uint8 | Gloss
Uint32 | Gmask
Uint8 | Gshift
struct SDL_PixelFormat * | next
Uint8 | padding [2]
SDL_Palette * | palette
int | refcount
Uint8 | Rloss
Uint32 | Rmask
Uint8 | Rshift

## Detailed Description

Note
  Everything in the pixel format structure is read-only.

Definition at line 272 of file SDL_pixels.h.

## Member Data Documentation

Uint8 SDL_PixelFormat::Aloss

Definition at line 286 of file SDL_pixels.h.

Referenced by Blit4to4MaskAlpha(), RLEAlphaSurface(), SDL_CalculateBlitA(), SDL_GetRGBA(), SDL_InitFormat(), and SDL_MapRGBA().

Uint32 SDL_PixelFormat::Amask

Definition at line 282 of file SDL_pixels.h.

Referenced by _rotateSurface(), Blit2to2Key(), Blit4to4MaskAlpha(), BlitNto1Key(), BlitNtoN(), BlitNtoNKey(), BlitNtoNKeyCopyAlpha(), RecursivelyCalculateShapeTree(), RLEAlphaSurface(), RLEColorkeySurface(), SDL_BlendFillRect(), SDL_BlendFillRects(), SDL_BlendPoint(), SDL_BlendPoints(), SDL_Blit_Slow(), SDL_CalculateBlendLineFunc(), SDL_CalculateBlitA(), SDL_CalculateBlitN(), SDL_CalculateShapeBitmap(), SDL_ConvertColorkeyToAlpha(), SDL_ConvertSurface(), SDL_CreateTextureFromSurface(), SDL_DrawLine4(), SDL_GetRGBA(), SDL_InitFormat(), SDL_MapRGB(), SDL_MapRGBA(), SDL_RLESurface(), SDL_SaveBMP_RW(), SW_RenderCopyEx(), and uncopy_opaque_16().

Uint8 SDL_PixelFormat::Ashift

Definition at line 290 of file SDL_pixels.h.

Referenced by Blit4to4MaskAlpha(), RLEAlphaSurface(), SDL_CalculateBlitA(), SDL_GetRGBA(), SDL_InitFormat(), and SDL_MapRGBA().

Uint8 SDL_PixelFormat::BitsPerPixel

Definition at line 276 of file SDL_pixels.h.

Referenced by _rotateSurface(), RLEAlphaSurface(), SDL_BlendFillRect(), SDL_BlendFillRects(), SDL_BlendPoint(), SDL_BlendPoints(), SDL_CalculateBlit(), SDL_CalculateBlit0(), SDL_CalculateBlit1(), SDL_CalculateBlitN(), SDL_CalculateDrawLineFunc(), SDL_CalculatePitch(), SDL_ConvertSurface(), SDL_CreateRGBSurface(), SDL_DrawPoint(), SDL_DrawPoints(), SDL_FillRect(), SDL_InitFormat(), SDL_MapSurface(), SDL_RLESurface(), SDL_SaveBMP_RW(), SDL_SetPixelFormatPalette(), SW_RenderCopyEx(), and Zeni::Window::Window().

Uint8 SDL_PixelFormat::Bloss

Definition at line 285 of file SDL_pixels.h.

Referenced by RLEAlphaSurface(), SDL_GetRGB(), SDL_GetRGBA(), SDL_InitFormat(), SDL_MapRGB(), and SDL_MapRGBA().

Uint32 SDL_PixelFormat::Bmask

Definition at line 281 of file SDL_pixels.h.

Referenced by _rotateSurface(), Blit4to4MaskAlpha(), RLEAlphaClipBlit(), RLEAlphaSurface(), SDL_CalculateBlitA(), SDL_CalculateBlitN(), SDL_ConvertSurface(), SDL_GetRGB(), SDL_GetRGBA(), SDL_InitFormat(), SDL_RLEAlphaBlit(), SDL_SaveBMP_RW(), and SW_RenderCopyEx().

Uint8 SDL_PixelFormat::Bshift

Definition at line 289 of file SDL_pixels.h.

Referenced by RLEAlphaSurface(), SDL_Blit_Slow(), SDL_CalculateBlitA(), SDL_GetRGB(), SDL_GetRGBA(), SDL_InitFormat(), SDL_MapRGB(), and SDL_MapRGBA().

Uint8 SDL_PixelFormat::BytesPerPixel

Definition at line 277 of file SDL_pixels.h.

Referenced by Blit1toNAlpha(), Blit1toNAlphaKey(), Blit2101010toN(), BlitBtoNAlpha(), BlitBtoNAlphaKey(), BlitNto1(), BlitNto1Key(), BlitNto1PixelAlpha(), BlitNto1SurfaceAlpha(), BlitNto1SurfaceAlphaKey(), BlitNto2101010(), BlitNtoN(), BlitNtoNCopyAlpha(), BlitNtoNKey(), BlitNtoNKeyCopyAlpha(), BlitNtoNPixelAlpha(), BlitNtoNSurfaceAlpha(), BlitNtoNSurfaceAlphaKey(), Map1toN(), RecursivelyCalculateShapeTree(), RLEAlphaClipBlit(), RLEAlphaSurface(), RLEColorkeySurface(), SDL_BlendFillRect_RGB(), SDL_BlendFillRect_RGBA(), SDL_BlendPoint_RGB(), SDL_BlendPoint_RGBA(), SDL_Blit_Slow(), SDL_BlitCopy(), SDL_CalculateBlendLineFunc(), SDL_CalculateBlit(), SDL_CalculateBlit0(), SDL_CalculateBlit1(), SDL_CalculateBlitA(), SDL_CalculateBlitN(), SDL_CalculateDrawLineFunc(), SDL_CalculatePitch(), SDL_CalculateShapeBitmap(), SDL_ConvertColorkeyToAlpha(), SDL_DrawLine1(), SDL_DrawPoint(), SDL_DrawPoints(), SDL_FillRect(), SDL_InitFormat(), SDL_RLEAlphaBlit(), SDL_RLEBlit(), SDL_SaveBMP_RW(), SDL_SoftBlit(), SDL_SoftStretch(), SDLTest_CompareSurfaces(), SW_LockTexture(), SW_RenderReadPixels(), and SW_UpdateTexture().

Uint32 SDL_PixelFormat::format

Definition at line 274 of file SDL_pixels.h.

Referenced by SDL_AllocFormat(), SDL_CalculateBlit(), SDL_CalculateBlitN(), SDL_CreateColorCursor(), SDL_CreateRGBSurface(), SDL_CreateTextureFromSurface(), SDL_InitFormat(), SDL_LowerBlitScaled(), SDL_MapSurface(), SDL_SoftStretch(), SDLTest_ScreenShot(), and SW_RenderReadPixels().

Uint8 SDL_PixelFormat::Gloss

Definition at line 284 of file SDL_pixels.h.

Referenced by RLEAlphaSurface(), SDL_GetRGB(), SDL_GetRGBA(), SDL_InitFormat(), SDL_MapRGB(), and SDL_MapRGBA().

Uint32 SDL_PixelFormat::Gmask

Definition at line 280 of file SDL_pixels.h.

Referenced by _rotateSurface(), Blit4to4MaskAlpha(), RLEAlphaClipBlit(), RLEAlphaSurface(), SDL_CalculateBlitA(), SDL_CalculateBlitN(), SDL_ConvertSurface(), SDL_GetRGB(), SDL_GetRGBA(), SDL_InitFormat(), SDL_RLEAlphaBlit(), SDL_SaveBMP_RW(), and SW_RenderCopyEx().

Uint8 SDL_PixelFormat::Gshift

Definition at line 288 of file SDL_pixels.h.

Referenced by RLEAlphaSurface(), SDL_Blit_Slow(), SDL_CalculateBlitA(), SDL_GetRGB(), SDL_GetRGBA(), SDL_InitFormat(), SDL_MapRGB(), and SDL_MapRGBA().

struct SDL_PixelFormat* SDL_PixelFormat::next

Definition at line 292 of file SDL_pixels.h.

Referenced by SDL_AllocFormat(), SDL_FreeFormat(), and SDL_InitFormat().

Uint8 SDL_PixelFormat::padding[2]

Definition at line 278 of file SDL_pixels.h.

SDL_Palette* SDL_PixelFormat::palette

Definition at line 275 of file SDL_pixels.h.

Referenced by _rotateSurface(), Blit1toNAlpha(), Blit1toNAlphaKey(), BlitBtoNAlpha(), BlitBtoNAlphaKey(), BlitNto1PixelAlpha(), BlitNto1SurfaceAlpha(), BlitNto1SurfaceAlphaKey(), Map1toN(), MapNto1(), SDL_ConvertSurface(), SDL_FreeFormat(), SDL_GetRGB(), SDL_GetRGBA(), SDL_InitFormat(), SDL_LowerBlit(), SDL_MapRGB(), SDL_MapRGBA(), SDL_MapSurface(), SDL_SaveBMP_RW(), SDL_SetColorKey(), SDL_SetPixelFormatPalette(), and SDLTest_LoadIcon().

int SDL_PixelFormat::refcount

Definition at line 291 of file SDL_pixels.h.

Referenced by SDL_AllocFormat(), SDL_FreeFormat(), and SDL_InitFormat().

Uint8 SDL_PixelFormat::Rloss

Definition at line 283 of file SDL_pixels.h.

Referenced by RLEAlphaSurface(), SDL_GetRGB(), SDL_GetRGBA(), SDL_InitFormat(), SDL_MapRGB(), and SDL_MapRGBA().

Uint32 SDL_PixelFormat::Rmask

Definition at line 279 of file SDL_pixels.h.

Referenced by _rotateSurface(), Blit4to4MaskAlpha(), RLEAlphaClipBlit(), RLEAlphaSurface(), SDL_BlendFillRect(), SDL_BlendFillRects(), SDL_BlendPoint(), SDL_BlendPoints(), SDL_CalculateBlendLineFunc(), SDL_CalculateBlitA(), SDL_CalculateBlitN(), SDL_ConvertSurface(), SDL_DrawLine2(), SDL_DrawLine4(), SDL_GetRGB(), SDL_GetRGBA(), SDL_InitFormat(), SDL_RLEAlphaBlit(), SDL_SaveBMP_RW(), and SW_RenderCopyEx().

Uint8 SDL_PixelFormat::Rshift

Definition at line 287 of file SDL_pixels.h.

Referenced by RLEAlphaSurface(), SDL_Blit_Slow(), SDL_CalculateBlitA(), SDL_GetRGB(), SDL_GetRGBA(), SDL_InitFormat(), SDL_MapRGB(), and SDL_MapRGBA().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/sdl/SDL/SDL_pixels.h